package jp.sourceforge.orangesignal.ta.result;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class ShinoharaTest {

	@Test
	public void values() {
		final Shinohara[] values = Shinohara.values();
		for (final Shinohara value : values) {
			switch (value) {
			case A_RATIO: case B_RATIO: case C_RATIO: case MAIN_BAND1: case MAIN_BAND2: case SUB_BAND1: case SUB_BAND2:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

}
